# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXDeleteComponent

Function

Deletes a named component from a Field.

Syntax
`
#include <dx/dx.h>
`

Field DXDeleteComponent(Field f, char *component)

Functional Details

Deletes `component` from a Field `f`. Any attributes associated with the named component are also deleted from the Field.

Deleting a component from a Field may alter the structure of the Field in significant ways. For example, if the "positions" component is removed, any other components that contain references to positions become invalid. For this reason, `DXChangedComponentStructure` may be used to ensure that the remaining structure of the Field is consistent.

Return Value

Returns `f` or returns `NULL` but does not set an error code if the component does not exist.

See Also

`DXChangedComponentValues, DXChangedComponentStructure, DXGetEnumeratedComponentValue, DXNewField, DXSetComponentValue`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]